Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057617 - Review Request: python-django-haystack - Pluggable search for Django
Summary: Review Request: python-django-haystack - Pluggable search for Django
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1070267 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 13:33 UTC by Stephen Gallagher
Modified: 2014-02-28 14:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-28 14:34:39 UTC
puiterwijk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Stephen Gallagher 2014-01-24 13:33:20 UTC
Spec URL: http://sgallagh.fedorapeople.org/coprs/reviewboard2/python-django-haystack.spec

SRPM URL: http://sgallagh.fedorapeople.org/coprs/reviewboard2/python-django-haystack-2.1.0-3.fc20.src.rpm

Description:
Haystack provides modular search for Django. It features a unified, familiar
API that allows you to plug in different search backends (such as Solr,
Elasticsearch, Whoosh, Xapian, etc.) without having to modify your code.

Haystack is BSD licensed, plays nicely with third-party app without needing to
modify the source and supports advanced features like faceting, More Like This,
highlighting, spatial search and spelling suggestions.

You can find more information at http://haystacksearch.org/.

Fedora Account System Username: sgallagh

Comment 1 Stephen Gallagher 2014-01-24 13:37:38 UTC
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6449048

Comment 2 Stephen Gallagher 2014-02-26 14:18:49 UTC
*** Bug 1070267 has been marked as a duplicate of this bug. ***

Comment 3 Patrick Uiterwijk 2014-02-27 13:41:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  Note: Maybe put docs/ in a -doc subpackage?
[!]: Package consistently uses macros (instead of hard-coded directory names).
  Note: You have $RPM_BUILD_ROOT in %make, please use %{buildroot}
[!]: Package complies to the Packaging Guidelines
[!]: Package meets the Packaging Guidelines::Python
  Note: You need to BuildRequire python2-devel or python3-devel explicitely
- You have rm -rf $RPM_BUILD_ROOT in %install. If this is not for RHEL5, please remove this
[!]: python-django-haystack.noarch: E: zero-length /usr/share/doc/python-django-haystack/docs/_build/.gitignore
[!]: python-django-haystack.noarch: W: hidden-file-or-dir /usr/share/doc/python-django-haystack/docs/_build/html/.buildinfo
[!]: python-django-haystack.noarch: W: hidden-file-or-dir /usr/share/doc/python-django-haystack/docs/.DS_Store
  Note: Please remove these files


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-django-haystack-2.1.0-3.fc20.noarch.rpm
          python-django-haystack-2.1.0-3.fc20.src.rpm
python-django-haystack.noarch: W: spelling-error Summary(en_US) Pluggable -> Plug gable, Plug-gable, Plugged
python-django-haystack.noarch: W: summary-ended-with-dot C Pluggable search for Django.
python-django-haystack.noarch: W: hidden-file-or-dir /usr/share/doc/python-django-haystack/docs/_build/.DS_Store
python-django-haystack.noarch: W: hidden-file-or-dir /usr/share/doc/python-django-haystack/docs/_build/html/.buildinfo
python-django-haystack.noarch: E: version-control-internal-file /usr/share/doc/python-django-haystack/docs/_templates/.gitignore
python-django-haystack.noarch: E: zero-length /usr/share/doc/python-django-haystack/docs/_templates/.gitignore
python-django-haystack.noarch: E: version-control-internal-file /usr/share/doc/python-django-haystack/docs/_build/.gitignore
python-django-haystack.noarch: E: zero-length /usr/share/doc/python-django-haystack/docs/_build/.gitignore
python-django-haystack.noarch: W: hidden-file-or-dir /usr/share/doc/python-django-haystack/docs/.DS_Store
python-django-haystack.noarch: E: version-control-internal-file /usr/share/doc/python-django-haystack/docs/_static/.gitignore
python-django-haystack.noarch: E: zero-length /usr/share/doc/python-django-haystack/docs/_static/.gitignore
python-django-haystack.src: W: spelling-error Summary(en_US) Pluggable -> Plug gable, Plug-gable, Plugged
python-django-haystack.src: W: summary-ended-with-dot C Pluggable search for Django.
python-django-haystack.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
2 packages and 0 specfiles checked; 6 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-django-haystack
python-django-haystack.noarch: W: spelling-error Summary(en_US) Pluggable -> Plug gable, Plug-gable, Plugged
python-django-haystack.noarch: W: summary-ended-with-dot C Pluggable search for Django.
python-django-haystack.noarch: W: hidden-file-or-dir /usr/share/doc/python-django-haystack/docs/_build/.DS_Store
python-django-haystack.noarch: W: hidden-file-or-dir /usr/share/doc/python-django-haystack/docs/_build/html/.buildinfo
python-django-haystack.noarch: E: version-control-internal-file /usr/share/doc/python-django-haystack/docs/_templates/.gitignore
python-django-haystack.noarch: E: zero-length /usr/share/doc/python-django-haystack/docs/_templates/.gitignore
python-django-haystack.noarch: E: version-control-internal-file /usr/share/doc/python-django-haystack/docs/_build/.gitignore
python-django-haystack.noarch: E: zero-length /usr/share/doc/python-django-haystack/docs/_build/.gitignore
python-django-haystack.noarch: W: hidden-file-or-dir /usr/share/doc/python-django-haystack/docs/.DS_Store
python-django-haystack.noarch: E: version-control-internal-file /usr/share/doc/python-django-haystack/docs/_static/.gitignore
python-django-haystack.noarch: E: zero-length /usr/share/doc/python-django-haystack/docs/_static/.gitignore
1 packages and 0 specfiles checked; 6 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-django-haystack (rpmlib, GLIBC filtered):
    python(abi)
    python-django



Provides
--------
python-django-haystack:
    python-django-haystack



Source checksums
----------------
https://pypi.python.org/packages/source/d/django-haystack/django-haystack-2.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : b8b9aa47cbb1a845ac5ef44d3ce02fcaf148f453c76f93d987b95a78d3698230
  CHECKSUM(SHA256) upstream package : b8b9aa47cbb1a845ac5ef44d3ce02fcaf148f453c76f93d987b95a78d3698230


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1057617
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Stephen Gallagher 2014-02-27 15:01:36 UTC
Thanks for the review. I made the requested changes and also tweaked the spec to force a rebuild of the documentation.

Spec: http://sgallagh.fedorapeople.org/coprs/reviewboard2/python-django-haystack.spec

SRPM: http://sgallagh.fedorapeople.org/coprs/reviewboard2/python-django-haystack-2.1.0-4.fc20.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6576858

Comment 5 Patrick Uiterwijk 2014-02-27 16:25:29 UTC
Looks good to me.

APPROVED

Comment 6 Stephen Gallagher 2014-02-27 16:33:35 UTC
New Package SCM Request
=======================
Package Name: python-django-haystack
Short Description: Pluggable search for Django
Owners: sgallagh
Branches: f20 el7
InitialCC:

Comment 7 Gwyn Ciesla 2014-02-27 16:54:38 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.